<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/** Global Variables */
define( 'AMP_REQUIRED_PHP_VERSION', '5.3' );
define( 'AMP_REQUIRED_WP_VERSION',  '3.0' );
define( 'AMP_REQUIRED_WP_NETWORK',  false );
define( 'AMP_PATH'               ,  dirname(__FILE__));
define( 'AMP_FILE'               ,  AMP_PATH . DIRECTORY_SEPARATOR . 'amp-supremacy.php');
define( 'AMP_URL'                ,  plugin_dir_url( __FILE__ ));
/** Global Variables */

/** Define Global JS/CSS */
$global_js = array(
	'amp_uikit',
	'amp_uikit_notify',
	'amp_uikit_accordion',
	'amp_uikit_lightbox',
	'amp_main',
	'amp_ajaxq',
	'amp_spectrum',
	'media-upload',
	'thickbox'
);
$global_css = array(
	'amp_main',
	'amp_uikit',
	'amp_uikit_notify',
	'amp_uikit_progress',
	'amp_font-awesome',
	'amp_spectrum',
	'thickbox'
);

/** Define Pages */
$amp_pages = array(
    // Main Tab
    array(
        "Type" => "MENU",
        "Page_Title" => "AMP Supremacy",
        "Menu_Title" => "AMP Supremacy",
        "Capability" => "manage_options",
        "Slug" => "amp-settings",
        "Parent_Slug" => "",
        "Icon" => "/assets/img/logo_menu.png",
        "JavaScript" => array(),
        "Css" => array()
    )

);
/** Define Pages */

/** Set the Version in Options */
if (!get_option('AMP_CURRENT_VERSION')) {
	update_option('AMP_CURRENT_VERSION', AMP_CURRENT_VERSION);
}
/** Set the Version in Options */

/** Include all dependencies */
$files = glob(AMP_PATH.'/inc/wp_*');
foreach($files as $f) { require_once ( $f ); }
/** Include all dependencies */

/** Register Init Hooks */
register_activation_hook(AMP_FILE, array('AMP_Init', 'activate'));
register_deactivation_hook(AMP_FILE, array('AMP_Init', 'deactivate'));
register_uninstall_hook(AMP_FILE, array('AMP_Init', 'uninstall'));
/** Register Init Hooks */

/** Start the plugin */
if ( AMP_Init::verify_requirements() ) {
	AMP_Init::init();
} else {
	add_action( 'admin_notices', function(){
		global $wp_version;
		require_once(AMP_PATH . '/pages/notices/requirements-error.php');
	} );
	require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
	deactivate_plugins( AMP_FILE );
}