<?php // PHP STARTS HERE
	if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
	$amps = get_option('amps');
?>

<!-- HTML STARTS HERE -->
<div class="wrap prs">

    <h2 class="logo-title">
        <img class="logo-image" src="<?= AMP_URL; ?>/assets/img/logo.png"/>
        AMP Supremacy - Settings
        -
        <small class="hand">Configure AMP Supremacy...</small>
    </h2>

    <form class="amp-settings-form">
		<input type="hidden" name="action" value="amp_save_options"/>

	    <div class="uk-grid uk-grid-small">
		    <div class="uk-width-1-2">
			    <div class="uk-panel uk-panel-box">
				    <div class="uk-grid uk-grid-small">
					    <div class="uk-width-1-3">
						    <div class="uk-form">
							    <fieldset>
								    <legend><i class="fa fa-gear"></i> Use AMP on:</legend>

								    <div class="uk-form-row">
									    <input type="hidden" value="0" name="amps[on_pages]"/>
									    <label><input value="1" name="amps[on_pages]" <?php checked($amps['on_pages']); ?> type="checkbox"> Pages <i title="By checking this, AMP will be activated for all your pages." class="fa fa-info-circle"></i></label>
								    </div>

								    <div class="uk-form-row">
									    <input type="hidden" value="0" name="amps[on_posts]"/>
									    <label><input value="1" name="amps[on_posts]" <?php checked($amps['on_posts']); ?> type="checkbox"> Posts <i title="By checking this, AMP will be activated for all your post types." class="fa fa-info-circle"></i></label>
								    </div>

								    <div class="uk-form-row">
									    <input type="hidden" value="0" name="amps[on_categories]"/>
									    <label><input value="1" name="amps[on_categories]" <?php checked($amps['on_categories']); ?> type="checkbox"> Categories <i title="By checking this, AMP will be activated for all your categories." class="fa fa-info-circle"></i></label>
								    </div>

								    <div class="uk-form-row">
									    <input type="hidden" value="0" name="amps[on_tags]"/>
									    <label><input value="1" name="amps[on_tags]" <?php checked($amps['on_tags']); ?> type="checkbox"> Tags <i title="By checking this, AMP will be activated for all your tags." class="fa fa-info-circle"></i></label>
								    </div>

							    </fieldset>
						    </div>
					    </div>
					    <div class="uk-width-2-3">
						    <div class="uk-form uk-form-stacked">
							    <fieldset>
								    <legend><i class="fa fa-gears"></i> Settings:</legend>

								    <div class="uk-form-row">
									    <input type="hidden" value="0" name="amps[use_seo_meta]"/>
									    <label><input value="1" name="amps[use_seo_meta]" <?php checked($amps['use_seo_meta']); ?> type="checkbox"> Render SEO Meta Data <i title="By checking this, SEO meta data coming from plugins such as Project Supremacy, Yoast, All In One SEO, Platinum SEO will be rendered inside of AMP activated locations." class="fa fa-info-circle"></i></label>
								    </div>

								    <div class="uk-form-row">
									    <label for="site_verification"><i class="fa fa-google"></i> Google Site Verification:

										    <?php add_thickbox(); ?>
										    <div id="site_verification_help" style="display:none;">
											    <h4>Select this type of verification on Google Webmaster Tools:</h4>
											    <img src="<?php echo AMP_URL; ?>/assets/img/googleverify.png"/>
											    <p><i>Insert ONLY key from content attribute - example: <b>EZp6wgQhNQ9wsFeCsOpkjjvRIyEnWma8Dlv-VGN2xEY</b></i></p>
										    </div>

										    <a href="#TB_inline?width=783&height=400&inlineId=site_verification_help" class="thickbox"><i class="fa fa-info-circle"></i> Help</a>

									    </label>
									    <textarea rows="3" class="uk-width-1-1" id="site_verification" name="amps[site_verification]" placeholder='eg. EZp6wgQhNQ9wsFeCsOpkjjvRIyEnWma8Dlv-VGN2xEY'><?php echo $amps['site_verification']; ?></textarea>
								    </div>

							    </fieldset>
						    </div>
					    </div>
				    </div>
				    <hr>
				    <p><span class="uk-badge">NOTE</span> Tweak the settings from above to set up how the AMP will be used on your website.</p>
			    </div>

			    <div class="uk-panel uk-panel-box">
				    <div class="uk-form">
					    <fieldset>
						    <legend><i class="fa fa-dashboard"></i> Mobile Ready Test:</legend>

						    <div class="uk-form-row">
							    <label for="mobile-test-url"><i class="fa fa-globe"></i> URL to Check:</label>
							    <input id="mobile-test-url" type="url" placeholder="eg. http://mywebsite.com/page-1/"/>
							    <button class="uk-button uk-button-small uk-button-success uk-button-run-test" type="button"><i class="fa fa-play"></i> Run Test</button>
						    </div>

						    <div class="uk-form-row mobile-results" style="display: none">
								<hr>

							    <h3 class="mobile-status">...</h3>

							    <div class="uk-progress">
								    <div class="uk-progress-bar" style="width: 100%;">...</div>
							    </div>

							    <div class="uk-grid uk-grid-small mobile-problems" style="display:none">
								    <div class="uk-width-1-2">
									    <dl class="mobile-success-list"></dl>
									    <dl class="mobile-problems-list"></dl>
								    </div>
								    <div class="uk-width-1-2">
										<div class="mobile-screenshot-container">
											<img src="" class="mobile-screenshot"/>
											<div class="mobile-screenshot-tab">
												<a target="_blank" href="#" class="mobile-screenshot-button"><span class="mobile-screenshot-square"></span></a>
											</div>
										</div>
								    </div>
							    </div>

							</div>

					    </fieldset>

					    <p><span class="uk-badge">NOTE</span> By using Mobile Ready Test you will be able to verify how Google is treating the selected page or post. Passing a test with 100% means that your page/post is responsive and ready for mobile usage.</p>
				    </div>
			    </div>
		    </div>
		    <div class="uk-width-1-2">
			    <div class="uk-panel uk-panel-box">
				    <div class="uk-form">
					    <fieldset>
						    <legend><i class="fa fa-paint-brush"></i> Customize Design:</legend>

						    <div class="uk-form-row">
							    <label for="logo_image"><i class="fa fa-file-image-o"></i> Logo Image:</label>
							    <input id="logo_image" value="<?php echo $amps['logo_image']; ?>" name="amps[logo_image]" type="text" placeholder="Upload/Select an Image"/>
							    <button class="uk-button uk-button-small uk-button-primary imageSelect" data-target="logo_image" type="button">Browse</button>
						    </div>

						    <hr>

						    <div class="uk-form-row">
							    <label for="favico"><i class="fa fa-file-code-o"></i> Fav Icon:</label>
							    <input id="favico" value="<?php echo $amps['favico']; ?>" name="amps[favico]" type="text" placeholder="Upload/Select an Image"/>
							    <button class="uk-button uk-button-small uk-button-primary imageSelect" data-target="favico" type="button">Browse</button>
						    </div>

						    <hr>

						    <div class="uk-form-row">
							    <label for="color_header"><i class="fa fa-header"></i> Header Background Color:</label>
							    <input class="spectrum" id="color_header" value="<?php echo $amps['color_header']; ?>" name="amps[color_header]" type="text"/>
						    </div>

						    <div class="uk-form-row">
							    <label for="color_header_text"><i class="fa fa-header"></i> Header Text Color:</label>
							    <input class="spectrum" id="color_header_text" value="<?php echo $amps['color_header_text']; ?>" name="amps[color_header_text]" type="text"/>
						    </div>

						    <hr>

						    <div class="uk-form-row">
							    <label for="color_article_title"><i class="fa fa-newspaper-o"></i> Article Title Color:</label>
							    <input class="spectrum" id="color_article_title" value="<?php echo $amps['color_article_title']; ?>" name="amps[color_article_title]" type="text"/>
						    </div>

						    <div class="uk-form-row">
							    <label for="color_article_text"><i class="fa fa-newspaper-o"></i> Article Text Color:</label>
							    <input class="spectrum" id="color_article_text" value="<?php echo $amps['color_article_text']; ?>" name="amps[color_article_text]" type="text"/>
						    </div>

					    </fieldset>

					    <p><span class="uk-badge">NOTE</span> Tweak the settings from above to change how the AMP rendered content will appear to the end user.<br />When your post contains AMP Standards violating content then you page will get invalidated</p>
				    </div>
			    </div>
		    </div>
	    </div>
		<div class="uk-grid">
			<div class="uk-width-1-1">
				<button type="submit" class="uk-button uk-button-primary"><i class="fa fa-save"></i> Save Changes</button>
			</div>
		</div>

    </form>

</div> <!-- .wrap -->